nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   X Server 1.11.1 won't work with 173.14.31 (http://www.nvnews.net/vbulletin/showthread.php?t=166901)

joedoe 09-30-11 09:53 AM

X Server 1.11.1 won't work with 173.14.31
 
2 Attachment(s)
Since upgrading to xorg 1.11.1 on my Debian testing box I can't start X anymore (see attached Xorg.0.log.txt). Looks like it's the same issue as this thread: http://www.nvnews.net/vbulletin/showthread.php?t=165665.

I tried the ignoreABI option, but X still crashed (see attached Xorg_ignoreABI.0.log.txt).

I hope a solution will come up, because vesa is already giving me a headache :o.

joedoe 10-03-11 02:24 PM

Re: X Server 1.11.1 won't work with 173.14.31
 
Didn't hold my breath and downgraded to xorg 1.7.7. Hopefully a new 173.xx.xx driver is in the making. Just saw the announcement for 285.05.09 (prerelease, for the newer cards), which is said to contain support for the xorg 1.11 ABI.

joedoe 11-01-11 10:56 AM

Re: X Server 1.11.1 won't work with 173.14.31
 
It's been some time since the ABI incompatibility issue with Xorg 1.11 and the 173xx driver arose. (See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643584).

NVidia, is there any update on the situation? Is this issue going to be fixed and if so, would that be before the end of 2011?

1LordAnubis 11-01-11 07:51 PM

Re: X Server 1.11.1 won't work with 173.14.31
 
I was wondering the same thing

TrackerJack 11-07-11 10:47 AM

Re: X Server 1.11.1 won't work with 173.14.31
 
Is there an update in sight? I mean, cards needing this blob are not that rare even today.

nv_user2011 11-09-11 10:51 AM

Re: X Server 1.11.1 won't work with 173.14.31
 
Anyone in NVIDIA is working on this issue??? We would appreciate a response.

Greetings.

Gusar 11-09-11 02:59 PM

Re: X Server 1.11.1 won't work with 173.14.31
 
Nvidia never gives ETAs. They can't, because their priority list isn't static. And "me too" posts will not get them to respond.

You can go searching back to figure out how long it previously took for the legacy driver to get updated after an X release. That can give you a rough idea. Beyond that, just be patient, and stick with xorg-server-1.10

LLStarks 11-12-11 05:40 PM

Re: X Server 1.11.1 won't work with 173.14.31
 
Anyone using legacy drivers would probably be better off with Nouveau.

joedoe 11-15-11 11:54 AM

Re: X Server 1.11.1 won't work with 173.14.31
 
Quote:

Originally Posted by LLStarks (Post 2501203)
Anyone using legacy drivers would probably be better off with Nouveau.

I really wish that were true for me. While I appreciate the effort put in Nouveau (it does support my GF5200 well) it does not provide for the indispensable controls for overscan, brightness and contrast.

1LordAnubis 11-18-11 05:33 PM

Re: X Server 1.11.1 won't work with 173.14.31
 
True, I use the 6800, so the NV40 version on the feature matrix --> http://nouveau.freedesktop.org/wiki/FeatureMatrix

Gusar 11-18-11 05:50 PM

Re: X Server 1.11.1 won't work with 173.14.31
 
Quote:

Originally Posted by 1LordAnubis (Post 2503396)
True, I use the 6800, so the NV40 version on the feature matrix --> http://nouveau.freedesktop.org/wiki/FeatureMatrix

Err, if you have a NV40 you don't need the legacy driver, NV40 is supported by the mainline driver. The 173xx legacy driver is for NV30.

V0yager9 12-05-11 08:28 AM

Re: X Server 1.11.1 won't work with 173.14.31
 
News?
I have same problem of joedoe, with my Nvidia GF 5200.

Nouveau driver is very slow for my system, and don't have 3d support.

My distro in Debian Testing (wheezy).

thanks


All times are GMT -5. The time now is 01:05 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.